UW flickr uploader disappears completely upon input of invalid URL
Closed, ResolvedPublic

Description

Sample URL:

http://www.flickr.com/photos/bensutherland/308795905

(This is invalid, it has an extra "5" at the end.)

The input field for the flickr URL disappears. No error message, no nothing. (Using FF 16.0.2 on Mac OS X 10.7.5)


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz42311.
Lupo created this task.Via LegacyNov 20 2012, 10:32 PM
Nischayn22 added a comment.Via ConduitNov 22 2012, 6:43 AM

This happens because this URL passes our regex pattern. Don't think we can identify such invalid urls in regex.. (This one might actually become a valid id in future).

Instead if the fetching of the photo fails the error dialog should appear.

Nischayn22 added a comment.Via ConduitNov 22 2012, 8:10 AM

Added the missing else statement
https://gerrit.wikimedia.org/r/#/c/34691/

kaldari added a comment.Via ConduitNov 23 2012, 2:42 AM

Merged.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:32 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.